<?php
/**
 * Titan Elearning functions
 */

if ( ! function_exists( 'titan_elearning_setup' ) ) :
function titan_elearning_setup() {

    load_theme_textdomain( 'titan-elearning', get_template_directory() . '/languages' );

	// Set up the WordPress core custom background feature.
    add_theme_support( 'custom-background', apply_filters( 'titan_elearning_custom_background_args', array(
	    'default-color' => 'ffffff',
	    'default-image' => '',
    ) ) );

	/**
	 * About Theme Function
	 */
	require get_theme_file_path( '/about-theme/about-theme.php' );

	/**
	 * Customizer
	 */
	require get_template_directory() . '/inc/customizer.php';
}
endif; 
add_action( 'after_setup_theme', 'titan_elearning_setup' );

if ( ! function_exists( 'titan_elearning_styles' ) ) :
	function titan_elearning_styles() {
		// Register theme stylesheet.
		wp_register_style('titan-elearning-style',
			get_template_directory_uri() . '/style.css',array(),
			wp_get_theme()->get( 'Version' )
		);

		wp_enqueue_script('titan-elearning-js',
        	get_template_directory_uri() . '/assets/js/effects.js',array(),
        	wp_get_theme()->get('Version'),true 
   		 );

		wp_enqueue_script( 'wow-jquery',
		 get_template_directory_uri() . '/assets/js/wow.js', array('jquery'),'' ,true );

		wp_enqueue_style( 'animate-style',
		 get_template_directory_uri().'/assets/css/animate.css' );

		// Enqueue theme stylesheet.
		wp_enqueue_style( 'titan-elearning-style' );

		wp_enqueue_script( 'titan-elearning-custom-script', get_theme_file_uri( '/assets/js/custom-script.js' ), array( 'jquery' ), true );
	}
endif;
add_action( 'wp_enqueue_scripts', 'titan_elearning_styles' );